Boards
Boards, the files on them, their properties and options.
us.api.brault.app— follows the region selector in the top barList boards
GET /v1/boards
Create a board
POST /v1/boards
Retrieve a board
GET /v1/boards/{boardId}
Update a board
PATCH /v1/boards/{boardId}
Delete a board
DELETE /v1/boards/{boardId}
List board members
GET /v1/boards/{boardId}/members
List board properties
GET /v1/boards/{boardId}/properties
Create a board property
POST /v1/boards/{boardId}/properties
Retrieve a board property
GET /v1/boards/{boardId}/properties/{propertyId}
Rename a board property
PATCH /v1/boards/{boardId}/properties/{propertyId}
Delete a board property
DELETE /v1/boards/{boardId}/properties/{propertyId}
Create an option
POST /v1/boards/{boardId}/properties/{propertyId}/options
Update an option
PATCH /v1/boards/{boardId}/properties/{propertyId}/options/{optionId}
Delete an option
DELETE /v1/boards/{boardId}/properties/{propertyId}/options/{optionId}
Query the files on a board
POST /v1/boards/{boardId}/query
Add files to a board
POST /v1/boards/{boardId}/files
Remove a file from a board
DELETE /v1/boards/{boardId}/files/{fileId}
Set or clear a board property value
PUT /v1/boards/{boardId}/files/{fileId}/properties/{propertyId}